Bug 102182 - Compiling glibc srpm fails
Compiling glibc srpm fails
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-12 07:14 EDT by alex kramarov
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-15 17:51:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description alex kramarov 2003-08-12 07:14:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.1.4322)

Description of problem:
while running "rpmbuild --rebuild glibc-2.3.2-63.src.rpm" in the rpm  install 
phase you get an error executing the following command
gzip -9nvf $RPM_BUILD_ROOT%{_infodir}/libc*

this direcroty doesn't exist in the end of the build, so the build bombs out. 
commenting out this line :

#gzip -9nvf $RPM_BUILD_ROOT%{_infodir}/libc*

in the spec file solves the problem

Version-Release number of selected component (if applicable):
glibc-2.3.2-63.src.rpm

How reproducible:
Always

Steps to Reproduce:
1.rpmbuild --rebuild glibc-2.3.2-63.src.rpm
2.
3.
    

Actual Results:  build failed while running gzip -9nvf $RPM_BUILD_ROOT%
{_infodir}/libc*

Expected Results:  build should succeed

Additional info:

compiled the system in taroon with the latest updates from up2date
Comment 1 Jakub Jelinek 2003-08-12 10:06:40 EDT
Do you have texinfo installed?
Comment 2 alex kramarov 2003-08-12 11:42:15 EDT
now when i installed texinfo it builds fine. maybe it should be in build 
preregs or dependencies of something (rpm-build, glibc, whatever)...
Comment 3 Jakub Jelinek 2003-08-12 11:51:21 EDT
I'd say rpm-build. texinfo is needed by lots of packages to build, so it seems
silly to repeat that in every package.
Comment 4 Matt Wilson 2003-08-15 17:39:02 EDT
no, it only makes sense to do this in the .src.rpm that needs it
Comment 5 Jakub Jelinek 2003-08-15 17:51:14 EDT
texinfo is so basic requirement it shouldn't be listed in each package which
needs it.

Note You need to log in before you can comment on or make changes to this bug.